Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getLicensesOverview({
organizationId: "string",
});
export const merakiOrganizationsLicensesOverviewExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_licenses_overview(organization_id="string")
pulumi.export("merakiOrganizationsLicensesOverviewExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.GetLicensesOverview(ctx, &organizations.GetLicensesOverviewArgs{
OrganizationId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsLicensesOverviewExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetLicensesOverview.Invoke(new()
{
OrganizationId = "string",
});
return new Dictionary<string, object?>
{
["merakiOrganizationsLicensesOverviewExample"] = example.Apply(getLicensesOverviewResult => getLicensesOverviewResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetLicensesOverviewArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getLicensesOverview(GetLicensesOverviewArgs.builder()
.organizationId("string")
.build());
ctx.export("merakiOrganizationsLicensesOverviewExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getLicensesOverview
arguments:
organizationId: string
outputs:
merakiOrganizationsLicensesOverviewExample: ${example.item}
Using getLicensesOverview
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getLicensesOverview(args: GetLicensesOverviewArgs, opts?: InvokeOptions): Promise<GetLicensesOverviewResult>
function getLicensesOverviewOutput(args: GetLicensesOverviewOutputArgs, opts?: InvokeOptions): Output<GetLicensesOverviewResult>def get_licenses_overview(organization_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetLicensesOverviewResult
def get_licenses_overview_output(organization_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetLicensesOverviewResult]func GetLicensesOverview(ctx *Context, args *GetLicensesOverviewArgs, opts ...InvokeOption) (*GetLicensesOverviewResult, error)
func GetLicensesOverviewOutput(ctx *Context, args *GetLicensesOverviewOutputArgs, opts ...InvokeOption) GetLicensesOverviewResultOutput> Note: This function is named GetLicensesOverview in the Go SDK.
public static class GetLicensesOverview
{
public static Task<GetLicensesOverviewResult> InvokeAsync(GetLicensesOverviewArgs args, InvokeOptions? opts = null)
public static Output<GetLicensesOverviewResult> Invoke(GetLicensesOverviewInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetLicensesOverviewResult> getLicensesOverview(GetLicensesOverviewArgs args, InvokeOptions options)
public static Output<GetLicensesOverviewResult> getLicensesOverview(GetLicensesOverviewArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getLicensesOverview:getLicensesOverview
arguments:
# arguments dictionaryThe following arguments are supported:
- Organization
Id string - organizationId path parameter. Organization ID
- Organization
Id string - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
- organization
Id string - organizationId path parameter. Organization ID
- organization_
id str - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
getLicensesOverview Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Licenses Overview Item - Organization
Id string - organizationId path parameter. Organization ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Licenses Overview Item - Organization
Id string - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Licenses Overview Item - organization
Id String - organizationId path parameter. Organization ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Licenses Overview Item - organization
Id string - organizationId path parameter. Organization ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Licenses Overview Item - organization_
id str - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- organization
Id String - organizationId path parameter. Organization ID
Supporting Types
GetLicensesOverviewItem
- Expiration
Date string - License expiration date (Co-termination licensing only)
- License
Count int - Total number of licenses (Per-device licensing only)
- License
Types List<GetLicenses Overview Item License Type> - Data by license type (Per-device licensing only)
- Licensed
Device stringCounts - License counts (Co-termination licensing only)
- States
Get
Licenses Overview Item States - Aggregated data for licenses by state (Per-device licensing only)
- Status string
- License status (Co-termination licensing only)
- Systems
Manager GetLicenses Overview Item Systems Manager - Aggregated data for Systems Manager licenses (Per-device licensing only)
- Expiration
Date string - License expiration date (Co-termination licensing only)
- License
Count int - Total number of licenses (Per-device licensing only)
- License
Types []GetLicenses Overview Item License Type - Data by license type (Per-device licensing only)
- Licensed
Device stringCounts - License counts (Co-termination licensing only)
- States
Get
Licenses Overview Item States - Aggregated data for licenses by state (Per-device licensing only)
- Status string
- License status (Co-termination licensing only)
- Systems
Manager GetLicenses Overview Item Systems Manager - Aggregated data for Systems Manager licenses (Per-device licensing only)
- expiration
Date String - License expiration date (Co-termination licensing only)
- license
Count Integer - Total number of licenses (Per-device licensing only)
- license
Types List<GetLicenses Overview Item License Type> - Data by license type (Per-device licensing only)
- licensed
Device StringCounts - License counts (Co-termination licensing only)
- states
Get
Licenses Overview Item States - Aggregated data for licenses by state (Per-device licensing only)
- status String
- License status (Co-termination licensing only)
- systems
Manager GetLicenses Overview Item Systems Manager - Aggregated data for Systems Manager licenses (Per-device licensing only)
- expiration
Date string - License expiration date (Co-termination licensing only)
- license
Count number - Total number of licenses (Per-device licensing only)
- license
Types GetLicenses Overview Item License Type[] - Data by license type (Per-device licensing only)
- licensed
Device stringCounts - License counts (Co-termination licensing only)
- states
Get
Licenses Overview Item States - Aggregated data for licenses by state (Per-device licensing only)
- status string
- License status (Co-termination licensing only)
- systems
Manager GetLicenses Overview Item Systems Manager - Aggregated data for Systems Manager licenses (Per-device licensing only)
- expiration_
date str - License expiration date (Co-termination licensing only)
- license_
count int - Total number of licenses (Per-device licensing only)
- license_
types Sequence[GetLicenses Overview Item License Type] - Data by license type (Per-device licensing only)
- licensed_
device_ strcounts - License counts (Co-termination licensing only)
- states
Get
Licenses Overview Item States - Aggregated data for licenses by state (Per-device licensing only)
- status str
- License status (Co-termination licensing only)
- systems_
manager GetLicenses Overview Item Systems Manager - Aggregated data for Systems Manager licenses (Per-device licensing only)
- expiration
Date String - License expiration date (Co-termination licensing only)
- license
Count Number - Total number of licenses (Per-device licensing only)
- license
Types List<Property Map> - Data by license type (Per-device licensing only)
- licensed
Device StringCounts - License counts (Co-termination licensing only)
- states Property Map
- Aggregated data for licenses by state (Per-device licensing only)
- status String
- License status (Co-termination licensing only)
- systems
Manager Property Map - Aggregated data for Systems Manager licenses (Per-device licensing only)
GetLicensesOverviewItemLicenseType
- Counts
Get
Licenses Overview Item License Type Counts - Aggregated count data for the license type
- License
Type string - License type
- Counts
Get
Licenses Overview Item License Type Counts - Aggregated count data for the license type
- License
Type string - License type
- counts
Get
Licenses Overview Item License Type Counts - Aggregated count data for the license type
- license
Type String - License type
- counts
Get
Licenses Overview Item License Type Counts - Aggregated count data for the license type
- license
Type string - License type
- counts
Get
Licenses Overview Item License Type Counts - Aggregated count data for the license type
- license_
type str - License type
- counts Property Map
- Aggregated count data for the license type
- license
Type String - License type
GetLicensesOverviewItemLicenseTypeCounts
- Unassigned int
- The number of unassigned licenses
- Unassigned int
- The number of unassigned licenses
- unassigned Integer
- The number of unassigned licenses
- unassigned number
- The number of unassigned licenses
- unassigned int
- The number of unassigned licenses
- unassigned Number
- The number of unassigned licenses
GetLicensesOverviewItemStates
- Active
Get
Licenses Overview Item States Active - Data for active licenses
- Expired
Get
Licenses Overview Item States Expired - Data for expired licenses
- Expiring
Get
Licenses Overview Item States Expiring - Data for expiring licenses
- Recently
Queued GetLicenses Overview Item States Recently Queued - Data for recently queued licenses
- Unused
Get
Licenses Overview Item States Unused - Data for unused licenses
- Unused
Active GetLicenses Overview Item States Unused Active - Data for unused, active licenses
- Active
Get
Licenses Overview Item States Active - Data for active licenses
- Expired
Get
Licenses Overview Item States Expired - Data for expired licenses
- Expiring
Get
Licenses Overview Item States Expiring - Data for expiring licenses
- Recently
Queued GetLicenses Overview Item States Recently Queued - Data for recently queued licenses
- Unused
Get
Licenses Overview Item States Unused - Data for unused licenses
- Unused
Active GetLicenses Overview Item States Unused Active - Data for unused, active licenses
- active
Get
Licenses Overview Item States Active - Data for active licenses
- expired
Get
Licenses Overview Item States Expired - Data for expired licenses
- expiring
Get
Licenses Overview Item States Expiring - Data for expiring licenses
- recently
Queued GetLicenses Overview Item States Recently Queued - Data for recently queued licenses
- unused
Get
Licenses Overview Item States Unused - Data for unused licenses
- unused
Active GetLicenses Overview Item States Unused Active - Data for unused, active licenses
- active
Get
Licenses Overview Item States Active - Data for active licenses
- expired
Get
Licenses Overview Item States Expired - Data for expired licenses
- expiring
Get
Licenses Overview Item States Expiring - Data for expiring licenses
- recently
Queued GetLicenses Overview Item States Recently Queued - Data for recently queued licenses
- unused
Get
Licenses Overview Item States Unused - Data for unused licenses
- unused
Active GetLicenses Overview Item States Unused Active - Data for unused, active licenses
- active
Get
Licenses Overview Item States Active - Data for active licenses
- expired
Get
Licenses Overview Item States Expired - Data for expired licenses
- expiring
Get
Licenses Overview Item States Expiring - Data for expiring licenses
- recently_
queued GetLicenses Overview Item States Recently Queued - Data for recently queued licenses
- unused
Get
Licenses Overview Item States Unused - Data for unused licenses
- unused_
active GetLicenses Overview Item States Unused Active - Data for unused, active licenses
- active Property Map
- Data for active licenses
- expired Property Map
- Data for expired licenses
- expiring Property Map
- Data for expiring licenses
- recently
Queued Property Map - Data for recently queued licenses
- unused Property Map
- Data for unused licenses
- unused
Active Property Map - Data for unused, active licenses
GetLicensesOverviewItemStatesActive
- Count int
- The number of active licenses
- Count int
- The number of active licenses
- count Integer
- The number of active licenses
- count number
- The number of active licenses
- count int
- The number of active licenses
- count Number
- The number of active licenses
GetLicensesOverviewItemStatesExpired
- Count int
- The number of expired licenses
- Count int
- The number of expired licenses
- count Integer
- The number of expired licenses
- count number
- The number of expired licenses
- count int
- The number of expired licenses
- count Number
- The number of expired licenses
GetLicensesOverviewItemStatesExpiring
- Count int
- The number of expiring licenses
- Critical
Get
Licenses Overview Item States Expiring Critical - Data for the critical threshold
- Warning
Get
Licenses Overview Item States Expiring Warning - Data for the warning threshold
- Count int
- The number of expiring licenses
- Critical
Get
Licenses Overview Item States Expiring Critical - Data for the critical threshold
- Warning
Get
Licenses Overview Item States Expiring Warning - Data for the warning threshold
- count Integer
- The number of expiring licenses
- critical
Get
Licenses Overview Item States Expiring Critical - Data for the critical threshold
- warning
Get
Licenses Overview Item States Expiring Warning - Data for the warning threshold
- count number
- The number of expiring licenses
- critical
Get
Licenses Overview Item States Expiring Critical - Data for the critical threshold
- warning
Get
Licenses Overview Item States Expiring Warning - Data for the warning threshold
- count int
- The number of expiring licenses
- critical
Get
Licenses Overview Item States Expiring Critical - Data for the critical threshold
- warning
Get
Licenses Overview Item States Expiring Warning - Data for the warning threshold
- count Number
- The number of expiring licenses
- critical Property Map
- Data for the critical threshold
- warning Property Map
- Data for the warning threshold
GetLicensesOverviewItemStatesExpiringCritical
- Expiring
Count int - The number of licenses that will expire in this window
- Threshold
In intDays - The number of days from now denoting the critical threshold for an expiring license
- Expiring
Count int - The number of licenses that will expire in this window
- Threshold
In intDays - The number of days from now denoting the critical threshold for an expiring license
- expiring
Count Integer - The number of licenses that will expire in this window
- threshold
In IntegerDays - The number of days from now denoting the critical threshold for an expiring license
- expiring
Count number - The number of licenses that will expire in this window
- threshold
In numberDays - The number of days from now denoting the critical threshold for an expiring license
- expiring_
count int - The number of licenses that will expire in this window
- threshold_
in_ intdays - The number of days from now denoting the critical threshold for an expiring license
- expiring
Count Number - The number of licenses that will expire in this window
- threshold
In NumberDays - The number of days from now denoting the critical threshold for an expiring license
GetLicensesOverviewItemStatesExpiringWarning
- Expiring
Count int - The number of licenses that will expire in this window
- Threshold
In intDays - The number of days from now denoting the warning threshold for an expiring license
- Expiring
Count int - The number of licenses that will expire in this window
- Threshold
In intDays - The number of days from now denoting the warning threshold for an expiring license
- expiring
Count Integer - The number of licenses that will expire in this window
- threshold
In IntegerDays - The number of days from now denoting the warning threshold for an expiring license
- expiring
Count number - The number of licenses that will expire in this window
- threshold
In numberDays - The number of days from now denoting the warning threshold for an expiring license
- expiring_
count int - The number of licenses that will expire in this window
- threshold_
in_ intdays - The number of days from now denoting the warning threshold for an expiring license
- expiring
Count Number - The number of licenses that will expire in this window
- threshold
In NumberDays - The number of days from now denoting the warning threshold for an expiring license
GetLicensesOverviewItemStatesRecentlyQueued
- Count int
- The number of recently queued licenses
- Count int
- The number of recently queued licenses
- count Integer
- The number of recently queued licenses
- count number
- The number of recently queued licenses
- count int
- The number of recently queued licenses
- count Number
- The number of recently queued licenses
GetLicensesOverviewItemStatesUnused
- Count int
- The number of unused licenses
- Soonest
Activation GetLicenses Overview Item States Unused Soonest Activation - Information about the soonest forthcoming license activation
- Count int
- The number of unused licenses
- Soonest
Activation GetLicenses Overview Item States Unused Soonest Activation - Information about the soonest forthcoming license activation
- count Integer
- The number of unused licenses
- soonest
Activation GetLicenses Overview Item States Unused Soonest Activation - Information about the soonest forthcoming license activation
- count number
- The number of unused licenses
- soonest
Activation GetLicenses Overview Item States Unused Soonest Activation - Information about the soonest forthcoming license activation
- count int
- The number of unused licenses
- soonest_
activation GetLicenses Overview Item States Unused Soonest Activation - Information about the soonest forthcoming license activation
- count Number
- The number of unused licenses
- soonest
Activation Property Map - Information about the soonest forthcoming license activation
GetLicensesOverviewItemStatesUnusedActive
- Count int
- The number of unused, active licenses
- Oldest
Activation GetLicenses Overview Item States Unused Active Oldest Activation - Information about the oldest historical license activation
- Count int
- The number of unused, active licenses
- Oldest
Activation GetLicenses Overview Item States Unused Active Oldest Activation - Information about the oldest historical license activation
- count Integer
- The number of unused, active licenses
- oldest
Activation GetLicenses Overview Item States Unused Active Oldest Activation - Information about the oldest historical license activation
- count number
- The number of unused, active licenses
- oldest
Activation GetLicenses Overview Item States Unused Active Oldest Activation - Information about the oldest historical license activation
- count int
- The number of unused, active licenses
- oldest_
activation GetLicenses Overview Item States Unused Active Oldest Activation - Information about the oldest historical license activation
- count Number
- The number of unused, active licenses
- oldest
Activation Property Map - Information about the oldest historical license activation
GetLicensesOverviewItemStatesUnusedActiveOldestActivation
- Activation
Date string - The oldest license activation date
- Active
Count int - The number of licenses that activated on this date
- Activation
Date string - The oldest license activation date
- Active
Count int - The number of licenses that activated on this date
- activation
Date String - The oldest license activation date
- active
Count Integer - The number of licenses that activated on this date
- activation
Date string - The oldest license activation date
- active
Count number - The number of licenses that activated on this date
- activation_
date str - The oldest license activation date
- active_
count int - The number of licenses that activated on this date
- activation
Date String - The oldest license activation date
- active
Count Number - The number of licenses that activated on this date
GetLicensesOverviewItemStatesUnusedSoonestActivation
- Activation
Date string - The soonest license activation date
- To
Activate intCount - The number of licenses that will activate on this date
- Activation
Date string - The soonest license activation date
- To
Activate intCount - The number of licenses that will activate on this date
- activation
Date String - The soonest license activation date
- to
Activate IntegerCount - The number of licenses that will activate on this date
- activation
Date string - The soonest license activation date
- to
Activate numberCount - The number of licenses that will activate on this date
- activation_
date str - The soonest license activation date
- to_
activate_ intcount - The number of licenses that will activate on this date
- activation
Date String - The soonest license activation date
- to
Activate NumberCount - The number of licenses that will activate on this date
GetLicensesOverviewItemSystemsManager
- Counts
Get
Licenses Overview Item Systems Manager Counts - Aggregated license count data for Systems Manager
- Counts
Get
Licenses Overview Item Systems Manager Counts - Aggregated license count data for Systems Manager
- counts
Get
Licenses Overview Item Systems Manager Counts - Aggregated license count data for Systems Manager
- counts
Get
Licenses Overview Item Systems Manager Counts - Aggregated license count data for Systems Manager
- counts
Get
Licenses Overview Item Systems Manager Counts - Aggregated license count data for Systems Manager
- counts Property Map
- Aggregated license count data for Systems Manager
GetLicensesOverviewItemSystemsManagerCounts
- Active
Seats int - The number of Systems Manager seats in use
- Orgwide
Enrolled intDevices - The total number of enrolled Systems Manager devices
- Total
Seats int - The total number of Systems Manager seats
- Unassigned
Seats int - The number of unused Systems Manager seats
- Active
Seats int - The number of Systems Manager seats in use
- Orgwide
Enrolled intDevices - The total number of enrolled Systems Manager devices
- Total
Seats int - The total number of Systems Manager seats
- Unassigned
Seats int - The number of unused Systems Manager seats
- active
Seats Integer - The number of Systems Manager seats in use
- orgwide
Enrolled IntegerDevices - The total number of enrolled Systems Manager devices
- total
Seats Integer - The total number of Systems Manager seats
- unassigned
Seats Integer - The number of unused Systems Manager seats
- active
Seats number - The number of Systems Manager seats in use
- orgwide
Enrolled numberDevices - The total number of enrolled Systems Manager devices
- total
Seats number - The total number of Systems Manager seats
- unassigned
Seats number - The number of unused Systems Manager seats
- active_
seats int - The number of Systems Manager seats in use
- orgwide_
enrolled_ intdevices - The total number of enrolled Systems Manager devices
- total_
seats int - The total number of Systems Manager seats
- unassigned_
seats int - The number of unused Systems Manager seats
- active
Seats Number - The number of Systems Manager seats in use
- orgwide
Enrolled NumberDevices - The total number of enrolled Systems Manager devices
- total
Seats Number - The total number of Systems Manager seats
- unassigned
Seats Number - The number of unused Systems Manager seats
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
